# Class StyleParser.MarginInfo

java.lang.Object
com.codename1.ui.plaf.StyleParser.BoxInfo
com.codename1.ui.plaf.StyleParser.MarginInfo

Enclosing class:
  `StyleParser`

public static class StyleParser.MarginInfo extends StyleParser.BoxInfo
Encapsulates information about the padding in a style string.

- ## Field Summary

  ### Fields inherited from class StyleParser.BoxInfo

  `values`
  Modifier and Type
  Field
  Description
  `protected StyleParser.ScalarValue[]`
  `values`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MarginInfo(StyleParser.ScalarValue[] values)`
  Creates a new MarginInfo.

- ## Method Summary

  ### Methods inherited from class StyleParser.BoxInfo

  `getValue, getValues, setValues, toString, toString`
  Modifier and Type
  Method
  Description
  `StyleParser.ScalarValue`
  `getValue(int side)`
  Gets a value for a side.
  `StyleParser.ScalarValue[]`
  `getValues()`
  Gets the scalar values of this box as a 4-element array.
  `void`
  `setValues(StyleParser.ScalarValue[] values)`
  Sets the scalar values of this box as a 4-element array.
  `String`
  `toString()`
  Returns string of values in format.
  `String`
  `toString(int side)`
  Returns the string representation of one of the sides of the box.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MarginInfo

    public MarginInfo(StyleParser.ScalarValue[] values)

    Creates a new MarginInfo.

    ###### Parameters

    - `values`: 4-element array of scalar values. Indices are `Component#TOP`, `Component#BOTTOM`, `Component#LEFT` and `Component#RIGHT`.